<template>
  <div class="fullheight">
    <el-form
      ref="form"
      :inline="true"
      :model="partsForm"
      label-width="70px"
      size="mini"
    >
      <el-form-item label="机组号" label-width="55px">
        <el-select clearable v-model="value1" style="width:180px">
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="零部件">
        <el-select clearable v-model="partsForm.name" style="width:180px">
          <el-option label="**1部件" value="1"></el-option>
          <el-option label="**2部件" value="2"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search">查询</el-button>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" plain icon="el-icon-printer"
          >生成报告</el-button
        >
      </el-form-item>
    </el-form>
    <!-- <div class="border"> -->
    <el-table :data="data" stripe height="calc(100% - 80px)">
      <el-table-column prop="id" label="ID" width="100" align="center">
      </el-table-column>
      <el-table-column prop="qy" label="区域" align="center"> </el-table-column>
      <el-table-column prop="fc" label="风场" align="center"> </el-table-column>
      <el-table-column prop="jz" label="机组号" align="center">
      </el-table-column>
      <el-table-column prop="lbj" label="零部件" align="center">
      </el-table-column>
      <el-table-column prop="cz" label="操作" align="center">
        <template slot-scope="scope">
          <el-button
            type="primary"
            size="mini"
            icon="el-icon-document"
            @click="handleForm(scope.$index, scope.row)"
            >体检报告</el-button
          >
          <el-button
            type="primary"
            plain
            size="mini"
            @click="handleExport(scope.$index, scope.row)"
            >导出</el-button
          >
        </template>
      </el-table-column>
    </el-table>
    <div class="page-border">
      <el-pagination
        small
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="currentPage"
        :pager-count="11"
        :page-sizes="[10, 20, 50, 100, 200, 300, 500]"
        :page-size="pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="total"
      >
      </el-pagination>
    </div>
    <!-- </div> -->
  </div>
</template>
<script>
export default {
  name: 'health-form',
  data() {
    return {
      partsForm: {
        name: '',
        model: ''
      },
      data: [
        {id: '01', qy: '海上事业部门', fc: 'H3', jz: 'JZ001', lbj: '**零部件'},
        {id: '02', qy: '海上技术部门', fc: 'H10', jz: 'JZ005', lbj: '**零部件'}
      ],
      options: [],
      value1: '',
      currentPage: 1,
      pageSize: 50,
      total: 0
    }
  },
  created() {
    this.getWindData()
  },
  methods: {
    handleSizeChange(val) {
      this.pageSise = val
    },
    handleCurrentChange(val) {
      this.currentPage = val
    },
    getWindData() {
      let query = {
        sorter: [{direction: 'ASC', property: 'fanCode'}]
      }
      this.$http.post('${cssc}/biz/base/fanInfo/v1/list', query).then(resp => {
        let row = resp.data
        for (var i = 0; i < row.length; i++) {
          let obj = {}
          obj.label = row[i].fanCode
          obj.value = row[i].id
          this.options.push(obj)
        }
      })
    },
    // 体检报告
    handleForm(index, row) {},
    //导出
    handleExport(index, row) {}
  }
}
</script>
<style lang="scss" scoped>
@import '@/assets/css/element-variables.scss';
/deep/ .el-form-item--mini.el-form-item {
  margin-bottom: 10px !important;
}
/deep/ .el-table {
  width: 100%;
  height: calc(100% - 80px);
  background: $--background-color-secondary;
}
// /deep/ .el-table .cell {
//   font-size: 14px;
// }
.page-border {
  width: 100%;
  height: 35px;
  padding-top: 5px;
  background: $--table-bgcolor;
  position: relative;
  .el-pagination {
    float: right;
  }
}
.page-border /deep/ .el-input--mini .el-input__inner {
  height: 22px;
}
/deep/ .el-button--primary.is-plain {
  background-color: $--table-title-bgcolor;
  border: none;
  height: 30px;
  color: $--color-text;
}
/deep/ .el-button--primary.is-plain:hover {
  background: rgba($--table-title-bgcolor, 0.7);
}
</style>
